#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './MainDlg.ui'
**
** Created: Tue Nov 6 15:32:29 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "MainDlg.h"

#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistview.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a MainDlg which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MainDlg::MainDlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MainDlg" );
    resize( 522, 711 ); 
    setCaption( i18n( "kMatEdit v1.1 - Lightflow Material Composer" ) );
    MainDlgLayout = new QVBoxLayout( this ); 
    MainDlgLayout->setSpacing( 6 );
    MainDlgLayout->setMargin( 11 );

    Layout2 = new QHBoxLayout; 
    Layout2->setSpacing( 6 );
    Layout2->setMargin( 0 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( i18n( "scene object" ) );
    Layout2->addWidget( TextLabel1 );

    SceneObjEntry = new QLineEdit( this, "SceneObjEntry" );
    QToolTip::add(  SceneObjEntry, i18n( "your scene object" ) );
    Layout2->addWidget( SceneObjEntry );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    Layout2->addItem( spacer );
    MainDlgLayout->addLayout( Layout2 );

    TabObjectType = new QTabWidget( this, "TabObjectType" );

    lights = new QWidget( TabObjectType, "lights" );
    lightsLayout = new QVBoxLayout( lights ); 
    lightsLayout->setSpacing( 6 );
    lightsLayout->setMargin( 11 );

    Layout26 = new QGridLayout; 
    Layout26->setSpacing( 6 );
    Layout26->setMargin( 0 );

    LightIntensityEntry = new QSpinBox( lights, "LightIntensityEntry" );
    LightIntensityEntry->setMinValue( 1 );
    LightIntensityEntry->setMaxValue( 400 );
    LightIntensityEntry->setValue( 1 );
    QToolTip::add(  LightIntensityEntry, i18n( "Intensity of Emission" ) );

    Layout26->addWidget( LightIntensityEntry, 1, 3 );

    TextLabel2 = new QLabel( lights, "TextLabel2" );
    TextLabel2->setText( i18n( "Type:" ) );

    Layout26->addWidget( TextLabel2, 0, 0 );

    LightShadowCheck = new QCheckBox( lights, "LightShadowCheck" );
    LightShadowCheck->setText( i18n( "Shadows" ) );
    LightShadowCheck->setEnabled( TRUE );
    LightShadowCheck->setChecked( TRUE );
    QToolTip::add(  LightShadowCheck, i18n( "use shadows?" ) );

    Layout26->addWidget( LightShadowCheck, 1, 6 );

    TextLabel3 = new QLabel( lights, "TextLabel3" );
    TextLabel3->setText( i18n( "Color:" ) );

    Layout26->addWidget( TextLabel3, 1, 0 );

    TextLabel4 = new QLabel( lights, "TextLabel4" );
    TextLabel4->setText( i18n( "Position:" ) );

    Layout26->addWidget( TextLabel4, 2, 0 );

    LightDecayEntry = new QSpinBox( lights, "LightDecayEntry" );
    LightDecayEntry->setMinValue( -99 );
    LightDecayEntry->setValue( 2 );
    QToolTip::add(  LightDecayEntry, i18n( "decay exponent" ) );

    Layout26->addWidget( LightDecayEntry, 1, 5 );

    TextLabel6 = new QLabel( lights, "TextLabel6" );
    TextLabel6->setText( i18n( "Decay:" ) );
    TextLabel6->setAlignment( int( QLabel::AlignCenter ) );

    Layout26->addWidget( TextLabel6, 1, 4 );

    Layout5 = new QHBoxLayout; 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    TextLabel5 = new QLabel( lights, "TextLabel5" );
    TextLabel5->setText( i18n( "X:" ) );
    Layout5->addWidget( TextLabel5 );

    LightPosXEntry = new QLineEdit( lights, "LightPosXEntry" );
    Layout5->addWidget( LightPosXEntry );

    TextLabel5_2 = new QLabel( lights, "TextLabel5_2" );
    TextLabel5_2->setText( i18n( "Y:" ) );
    Layout5->addWidget( TextLabel5_2 );

    LightPosYEntry = new QLineEdit( lights, "LightPosYEntry" );
    Layout5->addWidget( LightPosYEntry );

    TextLabel5_3 = new QLabel( lights, "TextLabel5_3" );
    TextLabel5_3->setText( i18n( "Z:" ) );
    Layout5->addWidget( TextLabel5_3 );

    LightPosZEntry = new QLineEdit( lights, "LightPosZEntry" );
    Layout5->addWidget( LightPosZEntry );

    Layout26->addMultiCellLayout( Layout5, 2, 2, 1, 7 );

    LightType = new QComboBox( FALSE, lights, "LightType" );
    LightType->insertItem( i18n( "ambient" ) );
    LightType->insertItem( i18n( "conic" ) );
    LightType->insertItem( i18n( "directional" ) );
    LightType->insertItem( i18n( "directional patch" ) );
    LightType->insertItem( i18n( "patch" ) );
    LightType->insertItem( i18n( "point" ) );
    LightType->insertItem( i18n( "soft" ) );
    LightType->insertItem( i18n( "soft-conic" ) );
    LightType->insertItem( i18n( "soft-directional" ) );

    Layout26->addWidget( LightType, 0, 1 );

    Layout5_2 = new QHBoxLayout; 
    Layout5_2->setSpacing( 6 );
    Layout5_2->setMargin( 0 );

    TextLabel5_4 = new QLabel( lights, "TextLabel5_4" );
    TextLabel5_4->setText( i18n( "X:" ) );
    Layout5_2->addWidget( TextLabel5_4 );

    LightDirXEntry = new QLineEdit( lights, "LightDirXEntry" );
    Layout5_2->addWidget( LightDirXEntry );

    TextLabel5_2_2 = new QLabel( lights, "TextLabel5_2_2" );
    TextLabel5_2_2->setText( i18n( "Y:" ) );
    Layout5_2->addWidget( TextLabel5_2_2 );

    LightDirYEntry = new QLineEdit( lights, "LightDirYEntry" );
    Layout5_2->addWidget( LightDirYEntry );

    TextLabel5_3_2 = new QLabel( lights, "TextLabel5_3_2" );
    TextLabel5_3_2->setText( i18n( "Z:" ) );
    Layout5_2->addWidget( TextLabel5_3_2 );

    LightDirZEntry = new QLineEdit( lights, "LightDirZEntry" );
    Layout5_2->addWidget( LightDirZEntry );

    Layout26->addMultiCellLayout( Layout5_2, 3, 3, 1, 7 );

    LightColorEntry = new KColorButton( lights, "LightColorEntry" );
    LightColorEntry->setText( QString::null );
    QToolTip::add(  LightColorEntry, i18n( "color of light" ) );

    Layout26->addWidget( LightColorEntry, 1, 1 );

    LightSourceExplanation = new QLabel( lights, "LightSourceExplanation" );
    LightSourceExplanation->setText( i18n( "ambient /background light" ) );
    LightSourceExplanation->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)1, LightSourceExplanation->sizePolicy().hasHeightForWidth() ) );

    Layout26->addMultiCellWidget( LightSourceExplanation, 0, 0, 2, 6 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout26->addItem( spacer_2, 1, 7 );

    TextLabel4_2 = new QLabel( lights, "TextLabel4_2" );
    TextLabel4_2->setText( i18n( "Direction:" ) );

    Layout26->addWidget( TextLabel4_2, 3, 0 );

    TextLabel8 = new QLabel( lights, "TextLabel8" );
    TextLabel8->setText( i18n( "Intensity:" ) );

    Layout26->addWidget( TextLabel8, 1, 2 );
    lightsLayout->addLayout( Layout26 );

    Layout19 = new QHBoxLayout; 
    Layout19->setSpacing( 6 );
    Layout19->setMargin( 0 );

    Layout34 = new QVBoxLayout; 
    Layout34->setSpacing( 6 );
    Layout34->setMargin( 0 );

    LightConicAttributes = new QGroupBox( lights, "LightConicAttributes" );
    LightConicAttributes->setTitle( i18n( "spot light attributes" ) );
    LightConicAttributes->setColumnLayout(0, Qt::Vertical );
    LightConicAttributes->layout()->setSpacing( 0 );
    LightConicAttributes->layout()->setMargin( 0 );
    LightConicAttributesLayout = new QGridLayout( LightConicAttributes->layout() );
    LightConicAttributesLayout->setAlignment( Qt::AlignTop );
    LightConicAttributesLayout->setSpacing( 6 );
    LightConicAttributesLayout->setMargin( 11 );

    LightAngleEntry = new QSpinBox( LightConicAttributes, "LightAngleEntry" );
    LightAngleEntry->setMaxValue( 180 );
    QToolTip::add(  LightAngleEntry, i18n( "opening angle of light beam" ) );

    LightConicAttributesLayout->addWidget( LightAngleEntry, 0, 1 );

    TextLabel10 = new QLabel( LightConicAttributes, "TextLabel10" );
    TextLabel10->setText( i18n( "Angle:" ) );

    LightConicAttributesLayout->addWidget( TextLabel10, 0, 0 );

    LightPenumbraAngle = new QSpinBox( LightConicAttributes, "LightPenumbraAngle" );
    LightPenumbraAngle->setMaxValue( 180 );
    QToolTip::add(  LightPenumbraAngle, i18n( "penumbra angle" ) );

    LightConicAttributesLayout->addWidget( LightPenumbraAngle, 1, 1 );

    TextLabel11 = new QLabel( LightConicAttributes, "TextLabel11" );
    TextLabel11->setText( i18n( "penumbra:" ) );

    LightConicAttributesLayout->addWidget( TextLabel11, 1, 0 );

    TextLabel12 = new QLabel( LightConicAttributes, "TextLabel12" );
    TextLabel12->setText( i18n( "exponent:" ) );

    LightConicAttributesLayout->addWidget( TextLabel12, 2, 0 );

    LightPenumbraExponent = new QLineEdit( LightConicAttributes, "LightPenumbraExponent" );
    LightPenumbraExponent->setText( i18n( "1" ) );
    LightPenumbraExponent->setEnabled( TRUE );
    QToolTip::add(  LightPenumbraExponent, i18n( "exponential factor that controls the diminuition of the intensity inside the penumbra" ) );

    LightConicAttributesLayout->addWidget( LightPenumbraExponent, 2, 1 );
    Layout34->addWidget( LightConicAttributes );

    GroupBox52 = new QGroupBox( lights, "GroupBox52" );
    GroupBox52->setTitle( i18n( "ambient light attributes" ) );
    GroupBox52->setColumnLayout(0, Qt::Vertical );
    GroupBox52->layout()->setSpacing( 0 );
    GroupBox52->layout()->setMargin( 0 );
    GroupBox52Layout = new QVBoxLayout( GroupBox52->layout() );
    GroupBox52Layout->setAlignment( Qt::AlignTop );
    GroupBox52Layout->setSpacing( 6 );
    GroupBox52Layout->setMargin( 11 );

    LightAmbientPatternCheck = new QCheckBox( GroupBox52, "LightAmbientPatternCheck" );
    LightAmbientPatternCheck->setText( i18n( "use vol. pattern" ) );
    GroupBox52Layout->addWidget( LightAmbientPatternCheck );

    LightAmbientPatternEntry = new QLineEdit( GroupBox52, "LightAmbientPatternEntry" );
    LightAmbientPatternEntry->setEnabled( FALSE );
    QToolTip::add(  LightAmbientPatternEntry, i18n( "voulumetric pattern" ) );
    GroupBox52Layout->addWidget( LightAmbientPatternEntry );
    Layout34->addWidget( GroupBox52 );
    Layout19->addLayout( Layout34 );

    LightSoftShadowAttributes = new QGroupBox( lights, "LightSoftShadowAttributes" );
    LightSoftShadowAttributes->setTitle( i18n( "soft light attributes" ) );
    LightSoftShadowAttributes->setColumnLayout(0, Qt::Vertical );
    LightSoftShadowAttributes->layout()->setSpacing( 0 );
    LightSoftShadowAttributes->layout()->setMargin( 0 );
    LightSoftShadowAttributesLayout = new QGridLayout( LightSoftShadowAttributes->layout() );
    LightSoftShadowAttributesLayout->setAlignment( Qt::AlignTop );
    LightSoftShadowAttributesLayout->setSpacing( 6 );
    LightSoftShadowAttributesLayout->setMargin( 11 );

    LightSoftZBuffer = new QSpinBox( LightSoftShadowAttributes, "LightSoftZBuffer" );
    LightSoftZBuffer->setMaxValue( 5000 );
    LightSoftZBuffer->setValue( 256 );
    QToolTip::add(  LightSoftZBuffer, i18n( "Specify the size in pixels of the zbuffer.  The larger this value is, the more detailed will be the shadows, but the precomputation step will take longer times and higher memory occupancy." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftZBuffer, 0, 1 );

    TextLabel13 = new QLabel( LightSoftShadowAttributes, "TextLabel13" );
    TextLabel13->setText( i18n( "z-Buffer:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel13, 0, 0 );

    TextLabel14 = new QLabel( LightSoftShadowAttributes, "TextLabel14" );
    TextLabel14->setText( i18n( "radius:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel14, 1, 0 );

    TextLabel15 = new QLabel( LightSoftShadowAttributes, "TextLabel15" );
    TextLabel15->setText( i18n( "samples:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel15, 2, 0 );

    LightSoftSamples = new QSpinBox( LightSoftShadowAttributes, "LightSoftSamples" );
    LightSoftSamples->setMaxValue( 5000 );
    LightSoftSamples->setValue( 6 );
    QToolTip::add(  LightSoftSamples, i18n( "Specify the number of samples that are taken from the zbuffer to compute the blurring filter." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftSamples, 2, 1 );

    LightSoftRadius = new QSpinBox( LightSoftShadowAttributes, "LightSoftRadius" );
    LightSoftRadius->setMaxValue( 100 );
    LightSoftRadius->setPrefix( QString::null );
    LightSoftRadius->setSuffix( i18n( "%" ) );
    LightSoftRadius->setValue( 1 );
    QToolTip::add(  LightSoftRadius, i18n( "  Specify the radius of the filter that is used to blur the shadows." ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftRadius, 1, 1 );

    TextLabel16 = new QLabel( LightSoftShadowAttributes, "TextLabel16" );
    TextLabel16->setText( i18n( "bias:" ) );

    LightSoftShadowAttributesLayout->addWidget( TextLabel16, 3, 0 );

    LightSoftBias = new QLineEdit( LightSoftShadowAttributes, "LightSoftBias" );
    LightSoftBias->setText( i18n( "0.2" ) );
    QToolTip::add(  LightSoftBias, i18n( "Specify a biasing value that is used to make the shadows look less grainy.  This value should not be modified unless the results present strange streaks. In this case it should be increased.  The default is 0.2. " ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftBias, 3, 1 );

    LightSoftFileEntry = new QLineEdit( LightSoftShadowAttributes, "LightSoftFileEntry" );
    LightSoftFileEntry->setEnabled( FALSE );

    LightSoftShadowAttributesLayout->addMultiCellWidget( LightSoftFileEntry, 5, 5, 0, 1 );

    LightSoftFileAttribCheck = new QCheckBox( LightSoftShadowAttributes, "LightSoftFileAttribCheck" );
    LightSoftFileAttribCheck->setText( i18n( "File" ) );

    LightSoftShadowAttributesLayout->addWidget( LightSoftFileAttribCheck, 4, 0 );

    LightSoftFileFlagEntry = new QComboBox( FALSE, LightSoftShadowAttributes, "LightSoftFileFlagEntry" );
    LightSoftFileFlagEntry->insertItem( i18n( "save" ) );
    LightSoftFileFlagEntry->insertItem( i18n( "load" ) );
    LightSoftFileFlagEntry->setEnabled( FALSE );

    LightSoftShadowAttributesLayout->addWidget( LightSoftFileFlagEntry, 4, 1 );
    Layout19->addWidget( LightSoftShadowAttributes );

    GroupBox21 = new QGroupBox( lights, "GroupBox21" );
    GroupBox21->setTitle( i18n( "patch light attributes" ) );
    GroupBox21->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, GroupBox21->sizePolicy().hasHeightForWidth() ) );
    GroupBox21->setColumnLayout(0, Qt::Vertical );
    GroupBox21->layout()->setSpacing( 0 );
    GroupBox21->layout()->setMargin( 0 );
    GroupBox21Layout = new QVBoxLayout( GroupBox21->layout() );
    GroupBox21Layout->setAlignment( Qt::AlignTop );
    GroupBox21Layout->setSpacing( 6 );
    GroupBox21Layout->setMargin( 11 );

    Layout17 = new QGridLayout; 
    Layout17->setSpacing( 6 );
    Layout17->setMargin( 0 );

    LightPatchP4YEntry = new QLineEdit( GroupBox21, "LightPatchP4YEntry" );

    Layout17->addWidget( LightPatchP4YEntry, 4, 2 );

    TextLabel17 = new QLabel( GroupBox21, "TextLabel17" );
    TextLabel17->setText( i18n( "P1" ) );

    Layout17->addWidget( TextLabel17, 1, 0 );

    TextLabel19 = new QLabel( GroupBox21, "TextLabel19" );
    TextLabel19->setText( i18n( "P3" ) );

    Layout17->addWidget( TextLabel19, 3, 0 );

    LightPatchP2YEntry = new QLineEdit( GroupBox21, "LightPatchP2YEntry" );

    Layout17->addWidget( LightPatchP2YEntry, 2, 2 );

    TextLabel23 = new QLabel( GroupBox21, "TextLabel23" );
    TextLabel23->setText( i18n( "Z" ) );
    TextLabel23->setAlignment( int( QLabel::AlignCenter ) );

    Layout17->addWidget( TextLabel23, 0, 3 );

    LightPatchP2ZEntry = new QLineEdit( GroupBox21, "LightPatchP2ZEntry" );

    Layout17->addWidget( LightPatchP2ZEntry, 2, 3 );

    LightPatchP1XEntry = new QLineEdit( GroupBox21, "LightPatchP1XEntry" );

    Layout17->addWidget( LightPatchP1XEntry, 1, 1 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout17->addItem( spacer_3, 0, 0 );

    LightPatchP3XEntry = new QLineEdit( GroupBox21, "LightPatchP3XEntry" );

    Layout17->addWidget( LightPatchP3XEntry, 3, 1 );

    LightPatchP3ZEntry = new QLineEdit( GroupBox21, "LightPatchP3ZEntry" );

    Layout17->addWidget( LightPatchP3ZEntry, 3, 3 );

    LightPatchP2XEntry = new QLineEdit( GroupBox21, "LightPatchP2XEntry" );

    Layout17->addWidget( LightPatchP2XEntry, 2, 1 );

    LightPatchP4ZEntry = new QLineEdit( GroupBox21, "LightPatchP4ZEntry" );

    Layout17->addWidget( LightPatchP4ZEntry, 4, 3 );

    TextLabel18 = new QLabel( GroupBox21, "TextLabel18" );
    TextLabel18->setText( i18n( "P2" ) );

    Layout17->addWidget( TextLabel18, 2, 0 );

    TextLabel22 = new QLabel( GroupBox21, "TextLabel22" );
    TextLabel22->setText( i18n( "Y" ) );
    TextLabel22->setAlignment( int( QLabel::AlignCenter ) );

    Layout17->addWidget( TextLabel22, 0, 2 );

    LightPatchP4XEntry = new QLineEdit( GroupBox21, "LightPatchP4XEntry" );

    Layout17->addWidget( LightPatchP4XEntry, 4, 1 );

    TextLabel21 = new QLabel( GroupBox21, "TextLabel21" );
    TextLabel21->setText( i18n( "X" ) );
    TextLabel21->setAlignment( int( QLabel::AlignCenter ) );

    Layout17->addWidget( TextLabel21, 0, 1 );

    LightPatchP3YEntry = new QLineEdit( GroupBox21, "LightPatchP3YEntry" );

    Layout17->addWidget( LightPatchP3YEntry, 3, 2 );

    LightPatchP1ZEntry = new QLineEdit( GroupBox21, "LightPatchP1ZEntry" );

    Layout17->addWidget( LightPatchP1ZEntry, 1, 3 );

    TextLabel20 = new QLabel( GroupBox21, "TextLabel20" );
    TextLabel20->setText( i18n( "P4" ) );

    Layout17->addWidget( TextLabel20, 4, 0 );

    LightPatchP1YEntry = new QLineEdit( GroupBox21, "LightPatchP1YEntry" );

    Layout17->addWidget( LightPatchP1YEntry, 1, 2 );
    GroupBox21Layout->addLayout( Layout17 );

    Layout18 = new QHBoxLayout; 
    Layout18->setSpacing( 6 );
    Layout18->setMargin( 0 );

    LightPatchTwoSidesCheck = new QCheckBox( GroupBox21, "LightPatchTwoSidesCheck" );
    LightPatchTwoSidesCheck->setText( i18n( "two sides" ) );
    QToolTip::add(  LightPatchTwoSidesCheck, i18n( "Specify if the patch emits light on both sides." ) );
    Layout18->addWidget( LightPatchTwoSidesCheck );
    QSpacerItem* spacer_4 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout18->addItem( spacer_4 );
    GroupBox21Layout->addLayout( Layout18 );
    Layout19->addWidget( GroupBox21 );
    lightsLayout->addLayout( Layout19 );
    TabObjectType->insertTab( lights, i18n( "Lights" ) );

    camera = new QWidget( TabObjectType, "camera" );
    cameraLayout = new QVBoxLayout( camera ); 
    cameraLayout->setSpacing( 6 );
    cameraLayout->setMargin( 11 );

    Layout41 = new QGridLayout; 
    Layout41->setSpacing( 6 );
    Layout41->setMargin( 0 );

    CameraSaverTypeEntry = new QGroupBox( camera, "CameraSaverTypeEntry" );
    CameraSaverTypeEntry->setTitle( i18n( "general parameters" ) );
    CameraSaverTypeEntry->setEnabled( TRUE );
    CameraSaverTypeEntry->setColumnLayout(0, Qt::Vertical );
    CameraSaverTypeEntry->layout()->setSpacing( 0 );
    CameraSaverTypeEntry->layout()->setMargin( 0 );
    CameraSaverTypeEntryLayout = new QGridLayout( CameraSaverTypeEntry->layout() );
    CameraSaverTypeEntryLayout->setAlignment( Qt::AlignTop );
    CameraSaverTypeEntryLayout->setSpacing( 6 );
    CameraSaverTypeEntryLayout->setMargin( 11 );

    TextLabel25 = new QLabel( CameraSaverTypeEntry, "TextLabel25" );
    TextLabel25->setText( i18n( "File:" ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel25, 0, 0 );

    CameraFileEntry = new QLineEdit( CameraSaverTypeEntry, "CameraFileEntry" );
    QToolTip::add(  CameraFileEntry, i18n( "base file name of image file." ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraFileEntry, 0, 0, 1, 3 );

    TextLabel26 = new QLabel( CameraSaverTypeEntry, "TextLabel26" );
    TextLabel26->setText( i18n( "Typ:" ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel26, 0, 4 );

    TextLabel27 = new QLabel( CameraSaverTypeEntry, "TextLabel27" );
    TextLabel27->setText( i18n( "Resolution:" ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( TextLabel27, 1, 1, 0, 1 );

    CameraRadiosityCheck = new QCheckBox( CameraSaverTypeEntry, "CameraRadiosityCheck" );
    CameraRadiosityCheck->setText( i18n( "use radiosity" ) );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraRadiosityCheck, 2, 2, 0, 2 );

    CameraTypeCombo = new QComboBox( FALSE, CameraSaverTypeEntry, "CameraTypeCombo" );
    CameraTypeCombo->insertItem( i18n( ".tga" ) );
    CameraTypeCombo->insertItem( i18n( ".lft" ) );

    CameraSaverTypeEntryLayout->addWidget( CameraTypeCombo, 0, 5 );
    QSpacerItem* spacer_5 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CameraSaverTypeEntryLayout->addItem( spacer_5, 0, 6 );

    TextLabel28 = new QLabel( CameraSaverTypeEntry, "TextLabel28" );
    TextLabel28->setText( i18n( "x" ) );
    TextLabel28->setAlignment( int( QLabel::AlignCenter ) );

    CameraSaverTypeEntryLayout->addWidget( TextLabel28, 1, 3 );

    CameraResXEntry = new QLineEdit( CameraSaverTypeEntry, "CameraResXEntry" );
    CameraResXEntry->setText( i18n( "300" ) );
    CameraResXEntry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, CameraResXEntry->sizePolicy().hasHeightForWidth() ) );

    CameraSaverTypeEntryLayout->addWidget( CameraResXEntry, 1, 2 );

    CameraResYEntry = new QLineEdit( CameraSaverTypeEntry, "CameraResYEntry" );
    CameraResYEntry->setText( i18n( "300" ) );
    CameraResYEntry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, CameraResYEntry->sizePolicy().hasHeightForWidth() ) );

    CameraSaverTypeEntryLayout->addWidget( CameraResYEntry, 1, 4 );
    QSpacerItem* spacer_6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CameraSaverTypeEntryLayout->addItem( spacer_6, 1, 5 );

    CameraAlphaCheck = new QCheckBox( CameraSaverTypeEntry, "CameraAlphaCheck" );
    CameraAlphaCheck->setText( i18n( "write alpha" ) );
    CameraAlphaCheck->setChecked( TRUE );

    CameraSaverTypeEntryLayout->addMultiCellWidget( CameraAlphaCheck, 2, 2, 3, 5 );

    Layout41->addWidget( CameraSaverTypeEntry, 0, 0 );

    GroupBox61 = new QGroupBox( camera, "GroupBox61" );
    GroupBox61->setTitle( i18n( "extended camera parameters" ) );
    GroupBox61->setColumnLayout(0, Qt::Vertical );
    GroupBox61->layout()->setSpacing( 0 );
    GroupBox61->layout()->setMargin( 0 );
    GroupBox61Layout = new QVBoxLayout( GroupBox61->layout() );
    GroupBox61Layout->setAlignment( Qt::AlignTop );
    GroupBox61Layout->setSpacing( 6 );
    GroupBox61Layout->setMargin( 11 );

    CameraExtParamTab = new QTabWidget( GroupBox61, "CameraExtParamTab" );

    camextaa = new QWidget( CameraExtParamTab, "camextaa" );
    camextaaLayout = new QGridLayout( camextaa ); 
    camextaaLayout->setSpacing( 6 );
    camextaaLayout->setMargin( 11 );

    CameraAAThresholdEntry = new QLineEdit( camextaa, "CameraAAThresholdEntry" );
    CameraAAThresholdEntry->setText( i18n( "0.07" ) );
    CameraAAThresholdEntry->setEnabled( FALSE );

    camextaaLayout->addWidget( CameraAAThresholdEntry, 3, 1 );

    CameraAASamplesCheck = new QCheckBox( camextaa, "CameraAASamplesCheck" );
    CameraAASamplesCheck->setText( i18n( "aa-samples" ) );
    QToolTip::add(  CameraAASamplesCheck, i18n( "Specify the number of per-pixel anti-aliasing samples. " ) );

    camextaaLayout->addWidget( CameraAASamplesCheck, 0, 0 );
    QSpacerItem* spacer_7 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    camextaaLayout->addItem( spacer_7, 0, 1 );

    CameraAAJitterCheck = new QCheckBox( camextaa, "CameraAAJitterCheck" );
    CameraAAJitterCheck->setText( i18n( "aa-jitter" ) );
    QToolTip::add(  CameraAAJitterCheck, i18n( "Specify the amount of jittering used to randomize antialiasing samples." ) );

    camextaaLayout->addWidget( CameraAAJitterCheck, 4, 0 );

    CameraAAThresholdCheck = new QCheckBox( camextaa, "CameraAAThresholdCheck" );
    CameraAAThresholdCheck->setText( i18n( "aa-threshold:" ) );
    QToolTip::add(  CameraAAThresholdCheck, i18n( "If a pixel contains a variance greater than threshold, supersampling is performed." ) );

    camextaaLayout->addWidget( CameraAAThresholdCheck, 3, 0 );

    CameraAAJitterEntry = new QLineEdit( camextaa, "CameraAAJitterEntry" );
    CameraAAJitterEntry->setText( i18n( "0.5" ) );
    CameraAAJitterEntry->setEnabled( FALSE );

    camextaaLayout->addWidget( CameraAAJitterEntry, 4, 1 );

    TextLabel48_2 = new QLabel( camextaa, "TextLabel48_2" );
    TextLabel48_2->setText( i18n( "supersampling:" ) );

    camextaaLayout->addWidget( TextLabel48_2, 2, 0 );

    TextLabel47_2 = new QLabel( camextaa, "TextLabel47_2" );
    TextLabel47_2->setText( i18n( "area:" ) );

    camextaaLayout->addWidget( TextLabel47_2, 1, 0 );

    CameraAAsupersamplingSpin = new QSpinBox( camextaa, "CameraAAsupersamplingSpin" );
    CameraAAsupersamplingSpin->setMaxValue( 400 );
    CameraAAsupersamplingSpin->setMinValue( 1 );
    CameraAAsupersamplingSpin->setValue( 4 );
    CameraAAsupersamplingSpin->setEnabled( FALSE );
    QToolTip::add(  CameraAAsupersamplingSpin, i18n( "supersampling factor" ) );

    camextaaLayout->addWidget( CameraAAsupersamplingSpin, 2, 1 );

    CameraAAareaSpin_2 = new QSpinBox( camextaa, "CameraAAareaSpin_2" );
    CameraAAareaSpin_2->setMaxValue( 400 );
    CameraAAareaSpin_2->setMinValue( 1 );
    CameraAAareaSpin_2->setValue( 2 );
    CameraAAareaSpin_2->setEnabled( FALSE );
    QToolTip::add(  CameraAAareaSpin_2, i18n( "Square root of the samples that are taken on every pixel" ) );

    camextaaLayout->addWidget( CameraAAareaSpin_2, 1, 1 );
    CameraExtParamTab->insertTab( camextaa, i18n( "anti-alias" ) );

    camextview = new QWidget( CameraExtParamTab, "camextview" );
    camextviewLayout = new QVBoxLayout( camextview ); 
    camextviewLayout->setSpacing( 6 );
    camextviewLayout->setMargin( 11 );

    Layout44 = new QGridLayout; 
    Layout44->setSpacing( 6 );
    Layout44->setMargin( 0 );

    CameraViewUpY = new QLineEdit( camextview, "CameraViewUpY" );
    CameraViewUpY->setText( i18n( "0" ) );
    CameraViewUpY->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpY, 1, 2 );

    CameraViewUpCheck = new QCheckBox( camextview, "CameraViewUpCheck" );
    CameraViewUpCheck->setText( i18n( "up" ) );
    QToolTip::add(  CameraViewUpCheck, i18n( "Specify the upper direction, that is to say the orientation of the camera, in world space coordinates. " ) );

    Layout44->addWidget( CameraViewUpCheck, 1, 0 );

    CameraViewUpX = new QLineEdit( camextview, "CameraViewUpX" );
    CameraViewUpX->setText( i18n( "0" ) );
    CameraViewUpX->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpX, 1, 1 );
    QSpacerItem* spacer_8 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout44->addItem( spacer_8, 0, 0 );

    CameraViewUpZ = new QLineEdit( camextview, "CameraViewUpZ" );
    CameraViewUpZ->setText( i18n( "0" ) );
    CameraViewUpZ->setEnabled( FALSE );

    Layout44->addWidget( CameraViewUpZ, 1, 3 );

    TextLabel31_3 = new QLabel( camextview, "TextLabel31_3" );
    TextLabel31_3->setText( i18n( "X" ) );
    TextLabel31_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel31_3, 0, 1 );

    TextLabel32_3 = new QLabel( camextview, "TextLabel32_3" );
    TextLabel32_3->setText( i18n( "Y" ) );
    TextLabel32_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel32_3, 0, 2 );

    TextLabel33_3 = new QLabel( camextview, "TextLabel33_3" );
    TextLabel33_3->setText( i18n( "Z" ) );
    TextLabel33_3->setAlignment( int( QLabel::AlignCenter ) );

    Layout44->addWidget( TextLabel33_3, 0, 3 );
    camextviewLayout->addLayout( Layout44 );

    Layout45 = new QHBoxLayout; 
    Layout45->setSpacing( 6 );
    Layout45->setMargin( 0 );

    CameraViewFovCheck = new QCheckBox( camextview, "CameraViewFovCheck" );
    CameraViewFovCheck->setText( i18n( "fov" ) );
    QToolTip::add(  CameraViewFovCheck, i18n( "Specify the field of view, expressed in radians." ) );
    Layout45->addWidget( CameraViewFovCheck );

    TextLabel45 = new QLabel( camextview, "TextLabel45" );
    TextLabel45->setText( i18n( "horiz." ) );
    Layout45->addWidget( TextLabel45 );

    CameraViewFovHorizEntry = new QLineEdit( camextview, "CameraViewFovHorizEntry" );
    CameraViewFovHorizEntry->setEnabled( FALSE );
    Layout45->addWidget( CameraViewFovHorizEntry );

    TextLabel46 = new QLabel( camextview, "TextLabel46" );
    TextLabel46->setText( i18n( "vert." ) );
    Layout45->addWidget( TextLabel46 );

    CameraViewVertEntry = new QLineEdit( camextview, "CameraViewVertEntry" );
    CameraViewVertEntry->setEnabled( FALSE );
    Layout45->addWidget( CameraViewVertEntry );
    camextviewLayout->addLayout( Layout45 );

    Layout46 = new QGridLayout; 
    Layout46->setSpacing( 6 );
    Layout46->setMargin( 0 );

    CameraViewAspectEntry = new QLineEdit( camextview, "CameraViewAspectEntry" );
    CameraViewAspectEntry->setText( i18n( "1.0" ) );
    CameraViewAspectEntry->setEnabled( FALSE );

    Layout46->addWidget( CameraViewAspectEntry, 1, 1 );

    CameraViewAspectCheck = new QCheckBox( camextview, "CameraViewAspectCheck" );
    CameraViewAspectCheck->setText( i18n( "aspect r.:" ) );
    QToolTip::add(  CameraViewAspectCheck, i18n( "Specify the width / height ratio of the pixels." ) );

    Layout46->addWidget( CameraViewAspectCheck, 1, 0 );

    CameraViewApertureEntry = new QLineEdit( camextview, "CameraViewApertureEntry" );
    CameraViewApertureEntry->setText( i18n( "0.0" ) );
    CameraViewApertureEntry->setEnabled( FALSE );
    QToolTip::add(  CameraViewApertureEntry, i18n( "By default the aperture is 0.0, producing a perfectly stable image. " ) );

    Layout46->addWidget( CameraViewApertureEntry, 0, 1 );

    CameraViewApertureCheck = new QCheckBox( camextview, "CameraViewApertureCheck" );
    CameraViewApertureCheck->setText( i18n( "aperture:" ) );
    QToolTip::add(  CameraViewApertureCheck, i18n( "Specify the aperture of the shutter. This parameter controls the depth of field, because a larger shutter produces more blurring. " ) );

    Layout46->addWidget( CameraViewApertureCheck, 0, 0 );
    camextviewLayout->addLayout( Layout46 );
    CameraExtParamTab->insertTab( camextview, i18n( "view" ) );
    GroupBox61Layout->addWidget( CameraExtParamTab );

    Layout41->addWidget( GroupBox61, 1, 1 );

    GroupBox58 = new QGroupBox( camera, "GroupBox58" );
    GroupBox58->setTitle( i18n( "filter parameters" ) );
    GroupBox58->setColumnLayout(0, Qt::Vertical );
    GroupBox58->layout()->setSpacing( 0 );
    GroupBox58->layout()->setMargin( 0 );
    GroupBox58Layout = new QVBoxLayout( GroupBox58->layout() );
    GroupBox58Layout->setAlignment( Qt::AlignTop );
    GroupBox58Layout->setSpacing( 6 );
    GroupBox58Layout->setMargin( 11 );

    Layout42 = new QHBoxLayout; 
    Layout42->setSpacing( 6 );
    Layout42->setMargin( 0 );

    CameraFilterEnableCheck = new QCheckBox( GroupBox58, "CameraFilterEnableCheck" );
    CameraFilterEnableCheck->setText( i18n( "use filter" ) );
    CameraFilterEnableCheck->setEnabled( TRUE );
    Layout42->addWidget( CameraFilterEnableCheck );

    CameraAddFilmCheck = new QCheckBox( GroupBox58, "CameraAddFilmCheck" );
    CameraAddFilmCheck->setText( i18n( "plus film filter" ) );
    QToolTip::add(  CameraAddFilmCheck, i18n( "add film imager to selected filter." ) );
    Layout42->addWidget( CameraAddFilmCheck );
    GroupBox58Layout->addLayout( Layout42 );

    CameraFilterSelTab = new QTabWidget( GroupBox58, "CameraFilterSelTab" );

    filterdoftab = new QWidget( CameraFilterSelTab, "filterdoftab" );
    filterdoftabLayout = new QGridLayout( filterdoftab ); 
    filterdoftabLayout->setSpacing( 6 );
    filterdoftabLayout->setMargin( 11 );

    TextLabel34 = new QLabel( filterdoftab, "TextLabel34" );
    TextLabel34->setText( i18n( "depth:" ) );

    filterdoftabLayout->addWidget( TextLabel34, 0, 0 );

    TextLabel35 = new QLabel( filterdoftab, "TextLabel35" );
    TextLabel35->setText( i18n( "radius:" ) );

    filterdoftabLayout->addWidget( TextLabel35, 1, 0 );

    CameraDofRadiusEntry = new QLineEdit( filterdoftab, "CameraDofRadiusEntry" );
    CameraDofRadiusEntry->setText( i18n( "0.01" ) );
    QToolTip::add(  CameraDofRadiusEntry, i18n( "Specify the smoothing radius, as a fraction of the image size, at the distance specified with \"depth\" from the actual focal point." ) );

    filterdoftabLayout->addMultiCellWidget( CameraDofRadiusEntry, 1, 1, 1, 2 );

    TextLabel36 = new QLabel( filterdoftab, "TextLabel36" );
    TextLabel36->setText( i18n( "mask:" ) );

    filterdoftabLayout->addWidget( TextLabel36, 2, 0 );

    CameraDofMaskSpin = new QSpinBox( filterdoftab, "CameraDofMaskSpin" );
    CameraDofMaskSpin->setMaxValue( 400 );
    CameraDofMaskSpin->setValue( 20 );
    QToolTip::add(  CameraDofMaskSpin, i18n( "Specify the maximum size of the smoothing mask, in pixels. " ) );

    filterdoftabLayout->addMultiCellWidget( CameraDofMaskSpin, 2, 2, 1, 2 );

    CameraDofDepthEntry = new QLineEdit( filterdoftab, "CameraDofDepthEntry" );
    CameraDofDepthEntry->setText( i18n( "-1" ) );
    CameraDofDepthEntry->setEnabled( FALSE );
    QToolTip::add(  CameraDofDepthEntry, i18n( "Specify the depth at which the image is in focus." ) );

    filterdoftabLayout->addWidget( CameraDofDepthEntry, 0, 1 );

    CameraDofAutofocusCheck = new QCheckBox( filterdoftab, "CameraDofAutofocusCheck" );
    CameraDofAutofocusCheck->setText( i18n( "autofocus" ) );
    CameraDofAutofocusCheck->setChecked( TRUE );
    QToolTip::add(  CameraDofAutofocusCheck, i18n( "will use an autofocus mechanism" ) );

    filterdoftabLayout->addWidget( CameraDofAutofocusCheck, 0, 2 );
    CameraFilterSelTab->insertTab( filterdoftab, i18n( "dof" ) );

    filterfilm = new QWidget( CameraFilterSelTab, "filterfilm" );
    filterfilmLayout = new QVBoxLayout( filterfilm ); 
    filterfilmLayout->setSpacing( 6 );
    filterfilmLayout->setMargin( 11 );
    QSpacerItem* spacer_9 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    filterfilmLayout->addItem( spacer_9 );

    Layout43 = new QHBoxLayout; 
    Layout43->setSpacing( 6 );
    Layout43->setMargin( 0 );

    TextLabel37 = new QLabel( filterfilm, "TextLabel37" );
    TextLabel37->setText( i18n( "grain:" ) );
    Layout43->addWidget( TextLabel37 );

    CameraFilmGrainEntry = new QLineEdit( filterfilm, "CameraFilmGrainEntry" );
    CameraFilmGrainEntry->setText( i18n( "0.1" ) );
    QToolTip::add(  CameraFilmGrainEntry, i18n( "Specify the graininess of the film." ) );
    Layout43->addWidget( CameraFilmGrainEntry );
    filterfilmLayout->addLayout( Layout43 );
    QSpacerItem* spacer_10 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    filterfilmLayout->addItem( spacer_10 );
    CameraFilterSelTab->insertTab( filterfilm, i18n( "film" ) );

    filterglitter = new QWidget( CameraFilterSelTab, "filterglitter" );
    filterglitterLayout = new QGridLayout( filterglitter ); 
    filterglitterLayout->setSpacing( 6 );
    filterglitterLayout->setMargin( 11 );

    TextLabel40 = new QLabel( filterglitter, "TextLabel40" );
    TextLabel40->setText( i18n( "threshold:" ) );

    filterglitterLayout->addWidget( TextLabel40, 2, 0 );

    CameraGlitterThresholdEntry = new QLineEdit( filterglitter, "CameraGlitterThresholdEntry" );
    CameraGlitterThresholdEntry->setText( i18n( "0.5" ) );
    QToolTip::add(  CameraGlitterThresholdEntry, i18n( "Specify the threshold above which a color produces glittering." ) );

    filterglitterLayout->addWidget( CameraGlitterThresholdEntry, 2, 1 );

    TextLabel38 = new QLabel( filterglitter, "TextLabel38" );
    TextLabel38->setText( i18n( "radius:" ) );

    filterglitterLayout->addWidget( TextLabel38, 0, 0 );

    CameraGlitterRadiusEntry = new QLineEdit( filterglitter, "CameraGlitterRadiusEntry" );
    CameraGlitterRadiusEntry->setText( i18n( "0.1" ) );
    QToolTip::add(  CameraGlitterRadiusEntry, i18n( "Specify the radius of glitters." ) );

    filterglitterLayout->addWidget( CameraGlitterRadiusEntry, 0, 1 );

    TextLabel39 = new QLabel( filterglitter, "TextLabel39" );
    TextLabel39->setText( i18n( "intensity:" ) );

    filterglitterLayout->addWidget( TextLabel39, 1, 0 );

    CameraGlitterIntensityEntry = new QLineEdit( filterglitter, "CameraGlitterIntensityEntry" );
    CameraGlitterIntensityEntry->setText( i18n( "0.005" ) );
    QToolTip::add(  CameraGlitterIntensityEntry, i18n( "Specify the intensity of the glitters." ) );

    filterglitterLayout->addWidget( CameraGlitterIntensityEntry, 1, 1 );
    CameraFilterSelTab->insertTab( filterglitter, i18n( "glitter" ) );

    filterhalo = new QWidget( CameraFilterSelTab, "filterhalo" );
    filterhaloLayout = new QGridLayout( filterhalo ); 
    filterhaloLayout->setSpacing( 6 );
    filterhaloLayout->setMargin( 11 );

    TextLabel42 = new QLabel( filterhalo, "TextLabel42" );
    TextLabel42->setText( i18n( "kr:" ) );

    filterhaloLayout->addWidget( TextLabel42, 0, 0 );

    TextLabel43 = new QLabel( filterhalo, "TextLabel43" );
    TextLabel43->setText( i18n( "km:" ) );

    filterhaloLayout->addWidget( TextLabel43, 1, 0 );

    TextLabel44 = new QLabel( filterhalo, "TextLabel44" );
    TextLabel44->setText( i18n( "shininess:" ) );

    filterhaloLayout->addWidget( TextLabel44, 2, 0 );

    CameraHaloShEntry = new QLineEdit( filterhalo, "CameraHaloShEntry" );
    CameraHaloShEntry->setText( i18n( "0.0" ) );
    QToolTip::add(  CameraHaloShEntry, i18n( "Specify the shininess factor of the camera lense. The greater this value, the stronger the halos." ) );

    filterhaloLayout->addWidget( CameraHaloShEntry, 2, 1 );

    CameraHaloKmEntry = new QLineEdit( filterhalo, "CameraHaloKmEntry" );
    CameraHaloKmEntry->setText( i18n( "0.01" ) );
    QToolTip::add(  CameraHaloKmEntry, i18n( "Specify the smoothness factor of the camera lense. The greater this value, the greater the halos." ) );

    filterhaloLayout->addWidget( CameraHaloKmEntry, 1, 1 );

    CameraHaloKrEntry = new QLineEdit( filterhalo, "CameraHaloKrEntry" );
    CameraHaloKrEntry->setText( i18n( "0.02" ) );
    QToolTip::add(  CameraHaloKrEntry, i18n( "Specify the reflection factor of the camera lense." ) );

    filterhaloLayout->addWidget( CameraHaloKrEntry, 0, 1 );
    CameraFilterSelTab->insertTab( filterhalo, i18n( "halo" ) );
    GroupBox58Layout->addWidget( CameraFilterSelTab );

    Layout41->addWidget( GroupBox58, 1, 0 );

    GroupBox59 = new QGroupBox( camera, "GroupBox59" );
    GroupBox59->setTitle( i18n( "main camera parameters" ) );
    GroupBox59->setColumnLayout(0, Qt::Vertical );
    GroupBox59->layout()->setSpacing( 0 );
    GroupBox59->layout()->setMargin( 0 );
    GroupBox59Layout = new QGridLayout( GroupBox59->layout() );
    GroupBox59Layout->setAlignment( Qt::AlignTop );
    GroupBox59Layout->setSpacing( 6 );
    GroupBox59Layout->setMargin( 11 );

    TextLabel29 = new QLabel( GroupBox59, "TextLabel29" );
    TextLabel29->setText( i18n( "Position:" ) );

    GroupBox59Layout->addWidget( TextLabel29, 1, 0 );

    TextLabel30 = new QLabel( GroupBox59, "TextLabel30" );
    TextLabel30->setText( i18n( "aim at:" ) );

    GroupBox59Layout->addWidget( TextLabel30, 2, 0 );

    TextLabel31 = new QLabel( GroupBox59, "TextLabel31" );
    TextLabel31->setText( i18n( "X" ) );
    TextLabel31->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel31, 0, 1 );

    TextLabel32 = new QLabel( GroupBox59, "TextLabel32" );
    TextLabel32->setText( i18n( "Y" ) );
    TextLabel32->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel32, 0, 2 );

    TextLabel33 = new QLabel( GroupBox59, "TextLabel33" );
    TextLabel33->setText( i18n( "Z" ) );
    TextLabel33->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox59Layout->addWidget( TextLabel33, 0, 3 );

    CameraPosY = new QLineEdit( GroupBox59, "CameraPosY" );
    CameraPosY->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosY, 1, 2 );

    CameraPosX = new QLineEdit( GroupBox59, "CameraPosX" );
    CameraPosX->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosX, 1, 1 );

    CameraAimtoX = new QLineEdit( GroupBox59, "CameraAimtoX" );
    CameraAimtoX->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoX, 2, 1 );

    CameraAimtoY = new QLineEdit( GroupBox59, "CameraAimtoY" );
    CameraAimtoY->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoY, 2, 2 );

    CameraPosZ = new QLineEdit( GroupBox59, "CameraPosZ" );
    CameraPosZ->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraPosZ, 1, 3 );

    CameraAimtoZ = new QLineEdit( GroupBox59, "CameraAimtoZ" );
    CameraAimtoZ->setText( i18n( "0" ) );

    GroupBox59Layout->addWidget( CameraAimtoZ, 2, 3 );

    Layout41->addWidget( GroupBox59, 0, 1 );
    cameraLayout->addLayout( Layout41 );
    TabObjectType->insertTab( camera, i18n( "Camera" ) );

    interface = new QWidget( TabObjectType, "interface" );
    interfaceLayout = new QVBoxLayout( interface ); 
    interfaceLayout->setSpacing( 6 );
    interfaceLayout->setMargin( 11 );

    TabWidget8 = new QTabWidget( interface, "TabWidget8" );

    InterfaceTabDefault = new QWidget( TabWidget8, "InterfaceTabDefault" );
    InterfaceTabDefaultLayout = new QVBoxLayout( InterfaceTabDefault ); 
    InterfaceTabDefaultLayout->setSpacing( 6 );
    InterfaceTabDefaultLayout->setMargin( 11 );

    ButtonGroup1 = new QButtonGroup( InterfaceTabDefault, "ButtonGroup1" );
    ButtonGroup1->setTitle( i18n( "general parameters" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 0 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new QVBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    ButtonGroup1Layout->setSpacing( 6 );
    ButtonGroup1Layout->setMargin( 11 );

    Layout24 = new QHBoxLayout; 
    Layout24->setSpacing( 6 );
    Layout24->setMargin( 0 );

    InterfaceResourcesTraceDepthCheck = new QCheckBox( ButtonGroup1, "InterfaceResourcesTraceDepthCheck" );
    InterfaceResourcesTraceDepthCheck->setText( i18n( "tracedepth" ) );
    QToolTip::add(  InterfaceResourcesTraceDepthCheck, i18n( "Number of specular bounces the light is allowed to do before reaching the eye. " ) );
    Layout24->addWidget( InterfaceResourcesTraceDepthCheck );

    InterfaceGeneralTraceDepthSpin = new QSpinBox( ButtonGroup1, "InterfaceGeneralTraceDepthSpin" );
    InterfaceGeneralTraceDepthSpin->setMaxValue( 1000 );
    InterfaceGeneralTraceDepthSpin->setValue( 4 );
    InterfaceGeneralTraceDepthSpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceGeneralTraceDepthSpin, i18n( "This parameter strongly affects rendering times in scenes with reflecting and transmitting materials!" ) );
    Layout24->addWidget( InterfaceGeneralTraceDepthSpin );
    QSpacerItem* spacer_11 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout24->addItem( spacer_11 );
    ButtonGroup1Layout->addLayout( Layout24 );

    InterfaceGeneralShadowCheck = new QCheckBox( ButtonGroup1, "InterfaceGeneralShadowCheck" );
    InterfaceGeneralShadowCheck->setText( i18n( "shadows" ) );
    InterfaceGeneralShadowCheck->setChecked( TRUE );
    ButtonGroup1Layout->addWidget( InterfaceGeneralShadowCheck );

    InterfaceGeneralVolumeCheck = new QCheckBox( ButtonGroup1, "InterfaceGeneralVolumeCheck" );
    InterfaceGeneralVolumeCheck->setText( i18n( "volumetric rendering" ) );
    InterfaceGeneralVolumeCheck->setChecked( TRUE );
    ButtonGroup1Layout->addWidget( InterfaceGeneralVolumeCheck );

    InterfaceGeneralDisplacementCheck = new QCheckBox( ButtonGroup1, "InterfaceGeneralDisplacementCheck" );
    InterfaceGeneralDisplacementCheck->setText( i18n( "displacement-mapping" ) );
    InterfaceGeneralDisplacementCheck->setChecked( TRUE );
    ButtonGroup1Layout->addWidget( InterfaceGeneralDisplacementCheck );
    InterfaceTabDefaultLayout->addWidget( ButtonGroup1 );

    ButtonGroup2 = new QButtonGroup( InterfaceTabDefault, "ButtonGroup2" );
    ButtonGroup2->setTitle( i18n( "used resources" ) );
    ButtonGroup2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2->layout()->setSpacing( 0 );
    ButtonGroup2->layout()->setMargin( 0 );
    ButtonGroup2Layout = new QVBoxLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( Qt::AlignTop );
    ButtonGroup2Layout->setSpacing( 6 );
    ButtonGroup2Layout->setMargin( 11 );

    Layout22 = new QHBoxLayout; 
    Layout22->setSpacing( 6 );
    Layout22->setMargin( 0 );

    InterfaceResourcesProcessorsCheck = new QCheckBox( ButtonGroup2, "InterfaceResourcesProcessorsCheck" );
    InterfaceResourcesProcessorsCheck->setText( i18n( "used processors" ) );
    QToolTip::add(  InterfaceResourcesProcessorsCheck, i18n( "Specify the number of CPUs to be used for the computations." ) );
    Layout22->addWidget( InterfaceResourcesProcessorsCheck );

    InterfaceResourceProcessorsSpin = new QSpinBox( ButtonGroup2, "InterfaceResourceProcessorsSpin" );
    InterfaceResourceProcessorsSpin->setValue( 1 );
    InterfaceResourceProcessorsSpin->setEnabled( FALSE );
    Layout22->addWidget( InterfaceResourceProcessorsSpin );
    QSpacerItem* spacer_12 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout22->addItem( spacer_12 );
    ButtonGroup2Layout->addLayout( Layout22 );

    Layout21 = new QHBoxLayout; 
    Layout21->setSpacing( 6 );
    Layout21->setMargin( 0 );

    InterfaceResourceCachingCheck = new QCheckBox( ButtonGroup2, "InterfaceResourceCachingCheck" );
    InterfaceResourceCachingCheck->setText( i18n( "include caching params" ) );
    QToolTip::add(  InterfaceResourceCachingCheck, i18n( "Specify the use of a spatial caching mechanism that speeds up ray-tracing. It is usefult to produce preview images." ) );
    Layout21->addWidget( InterfaceResourceCachingCheck );

    Layout20 = new QGridLayout; 
    Layout20->setSpacing( 6 );
    Layout20->setMargin( 0 );

    InterfaceResourcesMinRadiusEntry = new QLineEdit( ButtonGroup2, "InterfaceResourcesMinRadiusEntry" );
    InterfaceResourcesMinRadiusEntry->setText( i18n( "0.0" ) );
    InterfaceResourcesMinRadiusEntry->setEnabled( FALSE );
    QToolTip::add(  InterfaceResourcesMinRadiusEntry, i18n( "Minradius is used when the tracing depth is low and the sample is directly visible from the eye." ) );

    Layout20->addWidget( InterfaceResourcesMinRadiusEntry, 2, 1 );

    InterfaceResourcesCellClustersSpin = new QSpinBox( ButtonGroup2, "InterfaceResourcesCellClustersSpin" );
    InterfaceResourcesCellClustersSpin->setValue( 1 );
    InterfaceResourcesCellClustersSpin->setMaxValue( 1000 );
    InterfaceResourcesCellClustersSpin->setEnabled( FALSE );

    Layout20->addMultiCellWidget( InterfaceResourcesCellClustersSpin, 0, 0, 1, 2 );

    TextLabel4_3 = new QLabel( ButtonGroup2, "TextLabel4_3" );
    TextLabel4_3->setText( i18n( "min/max radius:" ) );
    QToolTip::add(  TextLabel4_3, i18n( "A cached value is reused if its distance from the current sample is less than a fixed radius, that is always between minradius and maxradius." ) );

    Layout20->addWidget( TextLabel4_3, 2, 0 );

    InterfaceResourcesCellsperClusterSpin = new QSpinBox( ButtonGroup2, "InterfaceResourcesCellsperClusterSpin" );
    InterfaceResourcesCellsperClusterSpin->setValue( 1 );
    InterfaceResourcesCellsperClusterSpin->setMaxValue( 1000000 );
    InterfaceResourcesCellsperClusterSpin->setEnabled( FALSE );

    Layout20->addMultiCellWidget( InterfaceResourcesCellsperClusterSpin, 1, 1, 1, 2 );

    TextLabel3_2 = new QLabel( ButtonGroup2, "TextLabel3_2" );
    TextLabel3_2->setText( i18n( "cells / cluster:" ) );

    Layout20->addWidget( TextLabel3_2, 1, 0 );

    InterfaceResourcesMaxRadiusEntry = new QLineEdit( ButtonGroup2, "InterfaceResourcesMaxRadiusEntry" );
    InterfaceResourcesMaxRadiusEntry->setText( i18n( "0.0" ) );
    InterfaceResourcesMaxRadiusEntry->setEnabled( FALSE );
    QToolTip::add(  InterfaceResourcesMaxRadiusEntry, i18n( "Maxradius is used when the sample is only visible after many reflections" ) );

    Layout20->addWidget( InterfaceResourcesMaxRadiusEntry, 2, 2 );

    TextLabel2_2 = new QLabel( ButtonGroup2, "TextLabel2_2" );
    TextLabel2_2->setText( i18n( "no. of cell clusters:" ) );

    Layout20->addWidget( TextLabel2_2, 0, 0 );
    Layout21->addLayout( Layout20 );
    ButtonGroup2Layout->addLayout( Layout21 );
    InterfaceTabDefaultLayout->addWidget( ButtonGroup2 );
    TabWidget8->insertTab( InterfaceTabDefault, i18n( "default" ) );

    InterfaceTabRadiosity = new QWidget( TabWidget8, "InterfaceTabRadiosity" );
    InterfaceTabRadiosityLayout = new QVBoxLayout( InterfaceTabRadiosity ); 
    InterfaceTabRadiosityLayout->setSpacing( 6 );
    InterfaceTabRadiosityLayout->setMargin( 11 );

    Layout47 = new QHBoxLayout; 
    Layout47->setSpacing( 6 );
    Layout47->setMargin( 0 );

    Layout40 = new QVBoxLayout; 
    Layout40->setSpacing( 6 );
    Layout40->setMargin( 0 );

    InterfaceRadiosityDepthCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiosityDepthCheck" );
    InterfaceRadiosityDepthCheck->setText( i18n( "radiosity-depth:" ) );
    QToolTip::add(  InterfaceRadiosityDepthCheck, i18n( "Specify the number of diffuse and specular bounces the light is allowed to do from surface to surface." ) );
    Layout40->addWidget( InterfaceRadiosityDepthCheck );

    InterfaceRadiositySamplesCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiositySamplesCheck" );
    InterfaceRadiositySamplesCheck->setText( i18n( "no. samples" ) );
    QToolTip::add(  InterfaceRadiositySamplesCheck, i18n( "Specify the number of sampling rays that are used to determine the radiosity at each spatial location. " ) );
    Layout40->addWidget( InterfaceRadiositySamplesCheck );
    Layout47->addLayout( Layout40 );

    Layout45_2 = new QGridLayout; 
    Layout45_2->setSpacing( 6 );
    Layout45_2->setMargin( 0 );
    QSpacerItem* spacer_13 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout45_2->addItem( spacer_13, 1, 0 );

    InterfaceRadiositySamplesSpin = new QSpinBox( InterfaceTabRadiosity, "InterfaceRadiositySamplesSpin" );
    InterfaceRadiositySamplesSpin->setValue( 2 );
    InterfaceRadiositySamplesSpin->setMaxValue( 1000000 );
    InterfaceRadiositySamplesSpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceRadiositySamplesSpin, i18n( "his value strongly affects the rendering times!" ) );

    Layout45_2->addWidget( InterfaceRadiositySamplesSpin, 1, 1 );

    InterfaceRadiosityThresholdCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiosityThresholdCheck" );
    InterfaceRadiosityThresholdCheck->setText( i18n( "threshold:" ) );
    QToolTip::add(  InterfaceRadiosityThresholdCheck, i18n( "Specify the maximum allowed error in the radiosity computation. " ) );

    Layout45_2->addWidget( InterfaceRadiosityThresholdCheck, 1, 2 );

    InterfaceRadiosityDepthSpecularSpin = new QSpinBox( InterfaceTabRadiosity, "InterfaceRadiosityDepthSpecularSpin" );
    InterfaceRadiosityDepthSpecularSpin->setMaxValue( 100000 );
    InterfaceRadiosityDepthSpecularSpin->setValue( 4 );
    InterfaceRadiosityDepthSpecularSpin->setEnabled( FALSE );
    InterfaceRadiosityDepthSpecularSpin->setSpecialValueText( i18n( "off" ) );
    QToolTip::add(  InterfaceRadiosityDepthSpecularSpin, i18n( "influence caustics" ) );

    Layout45_2->addWidget( InterfaceRadiosityDepthSpecularSpin, 0, 3 );

    TextLabel5_5_2 = new QLabel( InterfaceTabRadiosity, "TextLabel5_5_2" );
    TextLabel5_5_2->setText( i18n( "specular:" ) );

    Layout45_2->addWidget( TextLabel5_5_2, 0, 2 );

    InterfaceRadiosityDepthDiffuseSpin = new QSpinBox( InterfaceTabRadiosity, "InterfaceRadiosityDepthDiffuseSpin" );
    InterfaceRadiosityDepthDiffuseSpin->setMaxValue( 100000 );
    InterfaceRadiosityDepthDiffuseSpin->setSpecialValueText( i18n( "off" ) );
    InterfaceRadiosityDepthDiffuseSpin->setEnabled( FALSE );

    Layout45_2->addWidget( InterfaceRadiosityDepthDiffuseSpin, 0, 1 );

    TextLabel5_5 = new QLabel( InterfaceTabRadiosity, "TextLabel5_5" );
    TextLabel5_5->setText( i18n( "diffuse:" ) );

    Layout45_2->addWidget( TextLabel5_5, 0, 0 );

    InterfaceRadiosityThresholdSpin = new QSpinBox( InterfaceTabRadiosity, "InterfaceRadiosityThresholdSpin" );
    InterfaceRadiosityThresholdSpin->setMaxValue( 100 );
    InterfaceRadiosityThresholdSpin->setSuffix( i18n( "%" ) );
    InterfaceRadiosityThresholdSpin->setEnabled( FALSE );
    InterfaceRadiosityThresholdSpin->setValue( 20 );
    QToolTip::add(  InterfaceRadiosityThresholdSpin, i18n( "This number controls the physical accuracy of the final radiance estimate." ) );

    Layout45_2->addWidget( InterfaceRadiosityThresholdSpin, 1, 3 );
    Layout47->addLayout( Layout45_2 );
    QSpacerItem* spacer_14 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout47->addItem( spacer_14 );
    InterfaceTabRadiosityLayout->addLayout( Layout47 );

    Layout30 = new QHBoxLayout; 
    Layout30->setSpacing( 6 );
    Layout30->setMargin( 0 );

    InterfaceRadiositySamplingMethodCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiositySamplingMethodCheck" );
    InterfaceRadiositySamplingMethodCheck->setText( i18n( "sampling method:" ) );
    QToolTip::add(  InterfaceRadiositySamplingMethodCheck, i18n( "Specify the type of sampling that is used for radiosity computations." ) );
    Layout30->addWidget( InterfaceRadiositySamplingMethodCheck );

    InterfaceRadiositySamplingMethodCombo = new QComboBox( FALSE, InterfaceTabRadiosity, "InterfaceRadiositySamplingMethodCombo" );
    InterfaceRadiositySamplingMethodCombo->insertItem( i18n( "default" ) );
    InterfaceRadiositySamplingMethodCombo->insertItem( i18n( "stratified" ) );
    InterfaceRadiositySamplingMethodCombo->setEnabled( FALSE );
    QToolTip::add(  InterfaceRadiositySamplingMethodCombo, i18n( "\"stratified\" is much more precise, but slower than \"standard\". " ) );
    Layout30->addWidget( InterfaceRadiositySamplingMethodCombo );
    QSpacerItem* spacer_15 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout30->addItem( spacer_15 );
    InterfaceTabRadiosityLayout->addLayout( Layout30 );

    Layout33 = new QHBoxLayout; 
    Layout33->setSpacing( 6 );
    Layout33->setMargin( 0 );

    InterfaceRadiosityReuseDistCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiosityReuseDistCheck" );
    InterfaceRadiosityReuseDistCheck->setText( i18n( "include reuse distance parameters?" ) );
    Layout33->addWidget( InterfaceRadiosityReuseDistCheck );
    QSpacerItem* spacer_16 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout33->addItem( spacer_16 );
    InterfaceTabRadiosityLayout->addLayout( Layout33 );

    ButtonGroup11 = new QButtonGroup( InterfaceTabRadiosity, "ButtonGroup11" );
    ButtonGroup11->setTitle( i18n( "reuse distance parameters" ) );
    ButtonGroup11->setEnabled( FALSE );
    ButtonGroup11->setColumnLayout(0, Qt::Vertical );
    ButtonGroup11->layout()->setSpacing( 0 );
    ButtonGroup11->layout()->setMargin( 0 );
    ButtonGroup11Layout = new QGridLayout( ButtonGroup11->layout() );
    ButtonGroup11Layout->setAlignment( Qt::AlignTop );
    ButtonGroup11Layout->setSpacing( 6 );
    ButtonGroup11Layout->setMargin( 11 );

    TextLabel8_2 = new QLabel( ButtonGroup11, "TextLabel8_2" );
    TextLabel8_2->setText( i18n( "min:" ) );

    ButtonGroup11Layout->addWidget( TextLabel8_2, 0, 0 );

    InterfaceRadiosityScreenCheck = new QCheckBox( ButtonGroup11, "InterfaceRadiosityScreenCheck" );
    InterfaceRadiosityScreenCheck->setText( i18n( "screen" ) );
    QToolTip::add(  InterfaceRadiosityScreenCheck, i18n( "The screen distance is a expressed as a fraction of the screen space." ) );

    ButtonGroup11Layout->addWidget( InterfaceRadiosityScreenCheck, 1, 0 );

    InterfaceRadiosityReuseMinDistEntry = new QLineEdit( ButtonGroup11, "InterfaceRadiosityReuseMinDistEntry" );
    InterfaceRadiosityReuseMinDistEntry->setText( i18n( "0.0" ) );
    QToolTip::add(  InterfaceRadiosityReuseMinDistEntry, i18n( "Minimum distance should be about an order of magnitude less than maxvalue." ) );

    ButtonGroup11Layout->addWidget( InterfaceRadiosityReuseMinDistEntry, 0, 1 );

    InterfaceRadiosityScreenEntry = new QLineEdit( ButtonGroup11, "InterfaceRadiosityScreenEntry" );
    InterfaceRadiosityScreenEntry->setEnabled( FALSE );
    InterfaceRadiosityScreenEntry->setText( i18n( "0.0" ) );
    QToolTip::add(  InterfaceRadiosityScreenEntry, i18n( "Good values range from 0 to 0.5. A value of 0 means that each pixel is sampled." ) );

    ButtonGroup11Layout->addWidget( InterfaceRadiosityScreenEntry, 1, 1 );

    TextLabel8_2_2 = new QLabel( ButtonGroup11, "TextLabel8_2_2" );
    TextLabel8_2_2->setText( i18n( "max:" ) );

    ButtonGroup11Layout->addWidget( TextLabel8_2_2, 0, 2 );

    InterfaceRadiosityReuseMaxDistEntry = new QLineEdit( ButtonGroup11, "InterfaceRadiosityReuseMaxDistEntry" );
    InterfaceRadiosityReuseMaxDistEntry->setText( i18n( "0.0" ) );
    QToolTip::add(  InterfaceRadiosityReuseMaxDistEntry, i18n( "A good maximum value should be less than a fifth of the longest edge." ) );

    ButtonGroup11Layout->addWidget( InterfaceRadiosityReuseMaxDistEntry, 0, 3 );
    QSpacerItem* spacer_17 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup11Layout->addMultiCell( spacer_17, 1, 1, 2, 3 );
    InterfaceTabRadiosityLayout->addWidget( ButtonGroup11 );

    Layout34_2 = new QHBoxLayout; 
    Layout34_2->setSpacing( 6 );
    Layout34_2->setMargin( 0 );

    InterfaceRadiosityPatchEdgeCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiosityPatchEdgeCheck" );
    InterfaceRadiosityPatchEdgeCheck->setText( i18n( "patch edge params:" ) );
    Layout34_2->addWidget( InterfaceRadiosityPatchEdgeCheck );

    TextLabel6_2 = new QLabel( InterfaceTabRadiosity, "TextLabel6_2" );
    TextLabel6_2->setText( i18n( "min:" ) );
    Layout34_2->addWidget( TextLabel6_2 );

    InterfaceRadiosityPatchEdgeMinEntry = new QLineEdit( InterfaceTabRadiosity, "InterfaceRadiosityPatchEdgeMinEntry" );
    InterfaceRadiosityPatchEdgeMinEntry->setEnabled( FALSE );
    InterfaceRadiosityPatchEdgeMinEntry->setText( i18n( "0.0" ) );
    Layout34_2->addWidget( InterfaceRadiosityPatchEdgeMinEntry );

    TextLabel7 = new QLabel( InterfaceTabRadiosity, "TextLabel7" );
    TextLabel7->setText( i18n( "max:" ) );
    Layout34_2->addWidget( TextLabel7 );

    InterfaceRadiosityPatchEdgeMaxEntry = new QLineEdit( InterfaceTabRadiosity, "InterfaceRadiosityPatchEdgeMaxEntry" );
    InterfaceRadiosityPatchEdgeMaxEntry->setEnabled( FALSE );
    InterfaceRadiosityPatchEdgeMaxEntry->setText( i18n( "0.0" ) );
    Layout34_2->addWidget( InterfaceRadiosityPatchEdgeMaxEntry );
    QSpacerItem* spacer_18 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout34_2->addItem( spacer_18 );
    InterfaceTabRadiosityLayout->addLayout( Layout34_2 );

    Layout35 = new QHBoxLayout; 
    Layout35->setSpacing( 6 );
    Layout35->setMargin( 0 );

    InterfaceRadiosityFileCheck = new QCheckBox( InterfaceTabRadiosity, "InterfaceRadiosityFileCheck" );
    InterfaceRadiosityFileCheck->setText( i18n( "use file" ) );
    QToolTip::add(  InterfaceRadiosityFileCheck, i18n( "File  used to store / load  data resulting from the radiosity computations." ) );
    Layout35->addWidget( InterfaceRadiosityFileCheck );

    InterfaceRadiosityFileNameEntry = new QLineEdit( InterfaceTabRadiosity, "InterfaceRadiosityFileNameEntry" );
    InterfaceRadiosityFileNameEntry->setEnabled( FALSE );
    Layout35->addWidget( InterfaceRadiosityFileNameEntry );

    InterfaceRadiosityFileModeCombo = new QComboBox( FALSE, InterfaceTabRadiosity, "InterfaceRadiosityFileModeCombo" );
    InterfaceRadiosityFileModeCombo->insertItem( i18n( "save" ) );
    InterfaceRadiosityFileModeCombo->insertItem( i18n( "load" ) );
    InterfaceRadiosityFileModeCombo->setEnabled( FALSE );
    Layout35->addWidget( InterfaceRadiosityFileModeCombo );
    QSpacerItem* spacer_19 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout35->addItem( spacer_19 );
    InterfaceTabRadiosityLayout->addLayout( Layout35 );
    TabWidget8->insertTab( InterfaceTabRadiosity, i18n( "Radiosity" ) );

    InterfaceTabLightning = new QWidget( TabWidget8, "InterfaceTabLightning" );
    InterfaceTabLightningLayout = new QVBoxLayout( InterfaceTabLightning ); 
    InterfaceTabLightningLayout->setSpacing( 6 );
    InterfaceTabLightningLayout->setMargin( 11 );

    Layout49 = new QHBoxLayout; 
    Layout49->setSpacing( 6 );
    Layout49->setMargin( 0 );

    Layout48 = new QGridLayout; 
    Layout48->setSpacing( 6 );
    Layout48->setMargin( 0 );

    InterfaceLightningCountCheck = new QCheckBox( InterfaceTabLightning, "InterfaceLightningCountCheck" );
    InterfaceLightningCountCheck->setText( i18n( "lights / shadow" ) );
    QToolTip::add(  InterfaceLightningCountCheck, i18n( "Minimum number of lights that are taken into account for each shading location" ) );

    Layout48->addWidget( InterfaceLightningCountCheck, 1, 0 );

    InterfaceLightningThresholdCheck = new QCheckBox( InterfaceTabLightning, "InterfaceLightningThresholdCheck" );
    InterfaceLightningThresholdCheck->setText( i18n( "threshold:" ) );
    QToolTip::add(  InterfaceLightningThresholdCheck, i18n( "Specify the maximum allowed error in the computation of shadows from area lights" ) );

    Layout48->addWidget( InterfaceLightningThresholdCheck, 3, 0 );

    InterfaceLightningCountSpin = new QSpinBox( InterfaceTabLightning, "InterfaceLightningCountSpin" );
    InterfaceLightningCountSpin->setMaxValue( 1000 );
    InterfaceLightningCountSpin->setValue( 1 );
    InterfaceLightningCountSpin->setEnabled( FALSE );

    Layout48->addWidget( InterfaceLightningCountSpin, 1, 1 );

    InterfaceLightningAccuracyCheck = new QCheckBox( InterfaceTabLightning, "InterfaceLightningAccuracyCheck" );
    InterfaceLightningAccuracyCheck->setText( i18n( "accuracy" ) );
    QToolTip::add(  InterfaceLightningAccuracyCheck, i18n( "accuracy of lighting computations" ) );

    Layout48->addWidget( InterfaceLightningAccuracyCheck, 0, 0 );

    InterfaceLightningAccuracySpin = new QSpinBox( InterfaceTabLightning, "InterfaceLightningAccuracySpin" );
    InterfaceLightningAccuracySpin->setSuffix( i18n( "%" ) );
    InterfaceLightningAccuracySpin->setMaxValue( 100 );
    InterfaceLightningAccuracySpin->setValue( 98 );
    InterfaceLightningAccuracySpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceLightningAccuracySpin, i18n( "This value strongly affects rendering times when many lights are present!" ) );

    Layout48->addWidget( InterfaceLightningAccuracySpin, 0, 1 );

    InterfaceLightningThresholdEntry = new QLineEdit( InterfaceTabLightning, "InterfaceLightningThresholdEntry" );
    InterfaceLightningThresholdEntry->setText( i18n( "0.05" ) );
    InterfaceLightningThresholdEntry->setEnabled( FALSE );

    Layout48->addWidget( InterfaceLightningThresholdEntry, 3, 1 );

    InterfaceLightningDepthSpin = new QSpinBox( InterfaceTabLightning, "InterfaceLightningDepthSpin" );
    InterfaceLightningDepthSpin->setMaxValue( 1000 );
    InterfaceLightningDepthSpin->setValue( 5 );
    InterfaceLightningDepthSpin->setEnabled( FALSE );

    Layout48->addWidget( InterfaceLightningDepthSpin, 2, 1 );

    InterfaceLightningDepthCheck = new QCheckBox( InterfaceTabLightning, "InterfaceLightningDepthCheck" );
    InterfaceLightningDepthCheck->setText( i18n( "depth:" ) );
    QToolTip::add(  InterfaceLightningDepthCheck, i18n( "Specify the maximum tracing depth at which correct lighting is performed." ) );

    Layout48->addWidget( InterfaceLightningDepthCheck, 2, 0 );
    Layout49->addLayout( Layout48 );
    QSpacerItem* spacer_20 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout49->addItem( spacer_20 );
    InterfaceTabLightningLayout->addLayout( Layout49 );

    ButtonGroup30 = new QButtonGroup( InterfaceTabLightning, "ButtonGroup30" );
    ButtonGroup30->setTitle( i18n( "area (patch) light parameters" ) );
    ButtonGroup30->setColumnLayout(0, Qt::Vertical );
    ButtonGroup30->layout()->setSpacing( 0 );
    ButtonGroup30->layout()->setMargin( 0 );
    ButtonGroup30Layout = new QGridLayout( ButtonGroup30->layout() );
    ButtonGroup30Layout->setAlignment( Qt::AlignTop );
    ButtonGroup30Layout->setSpacing( 6 );
    ButtonGroup30Layout->setMargin( 11 );

    TextLabel9 = new QLabel( ButtonGroup30, "TextLabel9" );
    TextLabel9->setText( i18n( "min:" ) );

    ButtonGroup30Layout->addWidget( TextLabel9, 0, 1 );

    TextLabel9_2 = new QLabel( ButtonGroup30, "TextLabel9_2" );
    TextLabel9_2->setText( i18n( "max:" ) );

    ButtonGroup30Layout->addWidget( TextLabel9_2, 0, 3 );

    TextLabel9_2_2 = new QLabel( ButtonGroup30, "TextLabel9_2_2" );
    TextLabel9_2_2->setText( i18n( "max:" ) );

    ButtonGroup30Layout->addWidget( TextLabel9_2_2, 1, 3 );

    InterfaceLightningPatchEdgeCheck = new QCheckBox( ButtonGroup30, "InterfaceLightningPatchEdgeCheck" );
    InterfaceLightningPatchEdgeCheck->setText( i18n( "patch-edge:" ) );
    QToolTip::add(  InterfaceLightningPatchEdgeCheck, i18n( "Specify the maximum and minimum lengths of light patch edges." ) );

    ButtonGroup30Layout->addWidget( InterfaceLightningPatchEdgeCheck, 0, 0 );

    TextLabel9_3 = new QLabel( ButtonGroup30, "TextLabel9_3" );
    TextLabel9_3->setText( i18n( "min:" ) );

    ButtonGroup30Layout->addWidget( TextLabel9_3, 1, 1 );

    InterfaceLightningThresholdMinEntry = new QLineEdit( ButtonGroup30, "InterfaceLightningThresholdMinEntry" );
    InterfaceLightningThresholdMinEntry->setEnabled( FALSE );

    ButtonGroup30Layout->addWidget( InterfaceLightningThresholdMinEntry, 0, 2 );

    InterfaceLightningThresholdMaxEntry = new QLineEdit( ButtonGroup30, "InterfaceLightningThresholdMaxEntry" );
    InterfaceLightningThresholdMaxEntry->setEnabled( FALSE );

    ButtonGroup30Layout->addWidget( InterfaceLightningThresholdMaxEntry, 0, 4 );

    InterfaceLightningAngleMinEntry = new QLineEdit( ButtonGroup30, "InterfaceLightningAngleMinEntry" );
    InterfaceLightningAngleMinEntry->setEnabled( FALSE );

    ButtonGroup30Layout->addWidget( InterfaceLightningAngleMinEntry, 1, 2 );

    InterfaceLightningAngleMaxEntry = new QLineEdit( ButtonGroup30, "InterfaceLightningAngleMaxEntry" );
    InterfaceLightningAngleMaxEntry->setEnabled( FALSE );

    ButtonGroup30Layout->addWidget( InterfaceLightningAngleMaxEntry, 1, 4 );

    InterfaceLightningAngleCheck = new QCheckBox( ButtonGroup30, "InterfaceLightningAngleCheck" );
    InterfaceLightningAngleCheck->setText( i18n( "angle:" ) );
    QToolTip::add(  InterfaceLightningAngleCheck, i18n( "Specify the maximum and minimum angles under which a light patch is viewed by the shading location." ) );

    ButtonGroup30Layout->addWidget( InterfaceLightningAngleCheck, 1, 0 );
    InterfaceTabLightningLayout->addWidget( ButtonGroup30 );

    ButtonGroup31 = new QButtonGroup( InterfaceTabLightning, "ButtonGroup31" );
    ButtonGroup31->setTitle( i18n( "photon parameters" ) );
    ButtonGroup31->setColumnLayout(0, Qt::Vertical );
    ButtonGroup31->layout()->setSpacing( 0 );
    ButtonGroup31->layout()->setMargin( 0 );
    ButtonGroup31Layout = new QGridLayout( ButtonGroup31->layout() );
    ButtonGroup31Layout->setAlignment( Qt::AlignTop );
    ButtonGroup31Layout->setSpacing( 6 );
    ButtonGroup31Layout->setMargin( 11 );

    TextLabel10_2 = new QLabel( ButtonGroup31, "TextLabel10_2" );
    TextLabel10_2->setText( i18n( "diffuse:" ) );

    ButtonGroup31Layout->addWidget( TextLabel10_2, 1, 1 );

    TextLabel11_2 = new QLabel( ButtonGroup31, "TextLabel11_2" );
    TextLabel11_2->setText( i18n( "caustic:" ) );

    ButtonGroup31Layout->addWidget( TextLabel11_2, 2, 1 );

    InterfaceLightningPhotonCountSpin = new QSpinBox( ButtonGroup31, "InterfaceLightningPhotonCountSpin" );
    InterfaceLightningPhotonCountSpin->setMaxValue( 1000000000 );
    InterfaceLightningPhotonCountSpin->setValue( 300000 );
    InterfaceLightningPhotonCountSpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceLightningPhotonCountSpin, i18n( "Specify the number of photons that are spread into the scene to estimate the global illumination." ) );

    ButtonGroup31Layout->addWidget( InterfaceLightningPhotonCountSpin, 0, 2 );
    QSpacerItem* spacer_21 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup31Layout->addItem( spacer_21, 0, 1 );

    InterfaceLightningPhotonCountCheck = new QCheckBox( ButtonGroup31, "InterfaceLightningPhotonCountCheck" );
    InterfaceLightningPhotonCountCheck->setText( i18n( "photon count:" ) );

    ButtonGroup31Layout->addWidget( InterfaceLightningPhotonCountCheck, 0, 0 );

    InterfaceLightningPhotonClusterCheck = new QCheckBox( ButtonGroup31, "InterfaceLightningPhotonClusterCheck" );
    InterfaceLightningPhotonClusterCheck->setText( i18n( "photon clustering count:" ) );
    QToolTip::add(  InterfaceLightningPhotonClusterCheck, i18n( "Once that the photons are spread into the scene, they are clustered together to minimize memory occupancy and to make an estimate of final radiosity." ) );

    ButtonGroup31Layout->addWidget( InterfaceLightningPhotonClusterCheck, 1, 0 );

    InterfaceLightningPhotonClusterDiffuseSpin = new QSpinBox( ButtonGroup31, "InterfaceLightningPhotonClusterDiffuseSpin" );
    InterfaceLightningPhotonClusterDiffuseSpin->setMaxValue( 1000000000 );
    InterfaceLightningPhotonClusterDiffuseSpin->setValue( 1000 );
    InterfaceLightningPhotonClusterDiffuseSpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceLightningPhotonClusterDiffuseSpin, i18n( "Used to sample light coming from diffuse reflections (low frequency photons)." ) );

    ButtonGroup31Layout->addWidget( InterfaceLightningPhotonClusterDiffuseSpin, 1, 2 );

    InterfaceLightningPhotonCausticSpin = new QSpinBox( ButtonGroup31, "InterfaceLightningPhotonCausticSpin" );
    InterfaceLightningPhotonCausticSpin->setMaxValue( 1000000000 );
    InterfaceLightningPhotonCausticSpin->setValue( 50 );
    InterfaceLightningPhotonCausticSpin->setEnabled( FALSE );
    QToolTip::add(  InterfaceLightningPhotonCausticSpin, i18n( "Used to sample light coming from specular reflections, that is to say caustics. " ) );

    ButtonGroup31Layout->addWidget( InterfaceLightningPhotonCausticSpin, 2, 2 );
    InterfaceTabLightningLayout->addWidget( ButtonGroup31 );
    TabWidget8->insertTab( InterfaceTabLightning, i18n( "Lightning" ) );
    interfaceLayout->addWidget( TabWidget8 );
    TabObjectType->insertTab( interface, i18n( "Interface" ) );

    transformation = new QWidget( TabObjectType, "transformation" );
    transformationLayout = new QHBoxLayout( transformation ); 
    transformationLayout->setSpacing( 6 );
    transformationLayout->setMargin( 11 );

    Layout35_2 = new QVBoxLayout; 
    Layout35_2->setSpacing( 6 );
    Layout35_2->setMargin( 0 );

    Layout29 = new QGridLayout; 
    Layout29->setSpacing( 6 );
    Layout29->setMargin( 0 );

    TextLabel2_3_2 = new QLabel( transformation, "TextLabel2_3_2" );
    TextLabel2_3_2->setText( i18n( "Y-Coord:" ) );

    Layout29->addWidget( TextLabel2_3_2, 2, 0 );

    TextLabel2_3 = new QLabel( transformation, "TextLabel2_3" );
    TextLabel2_3->setText( i18n( "X-Coord:" ) );

    Layout29->addWidget( TextLabel2_3, 1, 0 );

    TransformationYCoordEntry = new QLineEdit( transformation, "TransformationYCoordEntry" );
    TransformationYCoordEntry->setText( i18n( "0" ) );
    QToolTip::add(  TransformationYCoordEntry, i18n( "angles in degrees!" ) );

    Layout29->addMultiCellWidget( TransformationYCoordEntry, 2, 2, 1, 2 );

    TransformationOperationTypeCombo = new QComboBox( FALSE, transformation, "TransformationOperationTypeCombo" );
    TransformationOperationTypeCombo->insertItem( i18n( "move" ) );
    TransformationOperationTypeCombo->insertItem( i18n( "rotate" ) );
    TransformationOperationTypeCombo->insertItem( i18n( "scale" ) );

    Layout29->addMultiCellWidget( TransformationOperationTypeCombo, 0, 0, 1, 2 );

    TransformationXforallCheck = new QCheckBox( transformation, "TransformationXforallCheck" );
    TransformationXforallCheck->setText( i18n( "Y,Z = X" ) );
    QToolTip::add(  TransformationXforallCheck, i18n( "X value is also used for Y and Z coords." ) );

    Layout29->addMultiCellWidget( TransformationXforallCheck, 4, 4, 0, 1 );

    TransformationZCoordEntry = new QLineEdit( transformation, "TransformationZCoordEntry" );
    TransformationZCoordEntry->setText( i18n( "0" ) );
    QToolTip::add(  TransformationZCoordEntry, i18n( "angles in degrees!" ) );

    Layout29->addMultiCellWidget( TransformationZCoordEntry, 3, 3, 1, 2 );

    TextLabel1_2 = new QLabel( transformation, "TextLabel1_2" );
    TextLabel1_2->setText( i18n( "operation:" ) );

    Layout29->addWidget( TextLabel1_2, 0, 0 );

    TextLabel2_3_2_2 = new QLabel( transformation, "TextLabel2_3_2_2" );
    TextLabel2_3_2_2->setText( i18n( "Z-Coord:" ) );

    Layout29->addWidget( TextLabel2_3_2_2, 3, 0 );

    TransformationXCoordEntry = new QLineEdit( transformation, "TransformationXCoordEntry" );
    TransformationXCoordEntry->setText( i18n( "0" ) );
    QToolTip::add(  TransformationXCoordEntry, i18n( "angles in degrees!" ) );

    Layout29->addMultiCellWidget( TransformationXCoordEntry, 1, 1, 1, 2 );
    QSpacerItem* spacer_22 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout29->addItem( spacer_22, 4, 2 );
    Layout35_2->addLayout( Layout29 );

    ButtonGroup16 = new QButtonGroup( transformation, "ButtonGroup16" );
    ButtonGroup16->setTitle( i18n( "list operation" ) );
    ButtonGroup16->setColumnLayout(0, Qt::Vertical );
    ButtonGroup16->layout()->setSpacing( 0 );
    ButtonGroup16->layout()->setMargin( 0 );
    ButtonGroup16Layout = new QGridLayout( ButtonGroup16->layout() );
    ButtonGroup16Layout->setAlignment( Qt::AlignTop );
    ButtonGroup16Layout->setSpacing( 6 );
    ButtonGroup16Layout->setMargin( 11 );

    TransformationAddButton = new QPushButton( ButtonGroup16, "TransformationAddButton" );
    TransformationAddButton->setText( i18n( "add" ) );

    ButtonGroup16Layout->addWidget( TransformationAddButton, 1, 0 );

    TransformationAppendButton = new QPushButton( ButtonGroup16, "TransformationAppendButton" );
    TransformationAppendButton->setText( i18n( "append" ) );

    ButtonGroup16Layout->addWidget( TransformationAppendButton, 0, 0 );

    TextLabel3_4 = new QLabel( ButtonGroup16, "TextLabel3_4" );
    TextLabel3_4->setText( i18n( "add to end of list" ) );

    ButtonGroup16Layout->addWidget( TextLabel3_4, 0, 1 );

    TextLabel1_3 = new QLabel( ButtonGroup16, "TextLabel1_3" );
    TextLabel1_3->setText( i18n( "add to current pos" ) );

    ButtonGroup16Layout->addWidget( TextLabel1_3, 1, 1 );

    TextLabel2_4 = new QLabel( ButtonGroup16, "TextLabel2_4" );
    TextLabel2_4->setText( i18n( "change actual entry" ) );

    ButtonGroup16Layout->addWidget( TextLabel2_4, 2, 1 );

    TransformationAlterButton = new QPushButton( ButtonGroup16, "TransformationAlterButton" );
    TransformationAlterButton->setText( i18n( "alter" ) );

    ButtonGroup16Layout->addWidget( TransformationAlterButton, 2, 0 );

    TransformationDeleteButton = new QPushButton( ButtonGroup16, "TransformationDeleteButton" );
    TransformationDeleteButton->setText( i18n( "delete" ) );

    ButtonGroup16Layout->addWidget( TransformationDeleteButton, 3, 0 );

    TextLabel4_4 = new QLabel( ButtonGroup16, "TextLabel4_4" );
    TextLabel4_4->setText( i18n( "delete actual entry" ) );

    ButtonGroup16Layout->addWidget( TextLabel4_4, 3, 1 );

    TransformatioCutButton = new QPushButton( ButtonGroup16, "TransformatioCutButton" );
    TransformatioCutButton->setText( i18n( "cut" ) );

    ButtonGroup16Layout->addWidget( TransformatioCutButton, 4, 0 );

    TextLabel5_6 = new QLabel( ButtonGroup16, "TextLabel5_6" );
    TextLabel5_6->setText( i18n( "cut operation" ) );

    ButtonGroup16Layout->addWidget( TextLabel5_6, 4, 1 );
    Layout35_2->addWidget( ButtonGroup16 );

    TextLabel6_3 = new QLabel( transformation, "TextLabel6_3" );
    TextLabel6_3->setText( i18n( "right-click on item to get data!" ) );
    TextLabel6_3->setAlignment( int( QLabel::AlignCenter ) );
    Layout35_2->addWidget( TextLabel6_3 );
    transformationLayout->addLayout( Layout35_2 );

    Layout30_2 = new QVBoxLayout; 
    Layout30_2->setSpacing( 6 );
    Layout30_2->setMargin( 0 );

    TextLabel3_3 = new QLabel( transformation, "TextLabel3_3" );
    TextLabel3_3->setText( i18n( "execution order" ) );
    TextLabel3_3->setAlignment( int( QLabel::AlignCenter ) );
    Layout30_2->addWidget( TextLabel3_3 );

    TransformationExecutionOrderListView = new QListView( transformation, "TransformationExecutionOrderListView" );
    TransformationExecutionOrderListView->addColumn( i18n( "Operation" ) );
    TransformationExecutionOrderListView->addColumn( i18n( "X-Coord" ) );
    TransformationExecutionOrderListView->addColumn( i18n( "Y-Coord" ) );
    TransformationExecutionOrderListView->addColumn( i18n( "Z-Coord" ) );
    QToolTip::add(  TransformationExecutionOrderListView, i18n( "right-click on item to get data!" ) );
    Layout30_2->addWidget( TransformationExecutionOrderListView );
    transformationLayout->addLayout( Layout30_2 );
    TabObjectType->insertTab( transformation, i18n( "Transformation" ) );

    standard = new QWidget( TabObjectType, "standard" );
    TabObjectType->insertTab( standard, i18n( "Standard" ) );

    physical = new QWidget( TabObjectType, "physical" );
    TabObjectType->insertTab( physical, i18n( "Physical" ) );
    MainDlgLayout->addWidget( TabObjectType );

    MainOutput = new QMultiLineEdit( this, "MainOutput" );
    MainOutput->setMinimumSize( QSize( 500, 200 ) );
    MainOutput->setUndoEnabled( FALSE );
    MainOutput->setUndoDepth( 1 );
    QToolTip::add(  MainOutput, i18n( "your generated objects" ) );
    MainDlgLayout->addWidget( MainOutput );

    Layout9 = new QHBoxLayout; 
    Layout9->setSpacing( 6 );
    Layout9->setMargin( 0 );
    QSpacerItem* spacer_23 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( spacer_23 );

    GenerateButton = new QPushButton( this, "GenerateButton" );
    GenerateButton->setText( i18n( "Generate" ) );
    Layout9->addWidget( GenerateButton );

    OkButton = new QPushButton( this, "OkButton" );
    OkButton->setText( i18n( "Ok" ) );
    Layout9->addWidget( OkButton );
    MainDlgLayout->addLayout( Layout9 );

    // signals and slots connections
    connect( OkButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( GenerateButton, SIGNAL( clicked() ), this, SLOT( generateText() ) );
    connect( LightSoftFileAttribCheck, SIGNAL( toggled(bool) ), LightSoftFileEntry, SLOT( setEnabled(bool) ) );
    connect( LightAngleEntry, SIGNAL( valueChanged(int) ), this, SLOT( coupleSpotAngles(int) ) );
    connect( LightAngleEntry, SIGNAL( valueChanged(int) ), LightPenumbraAngle, SLOT( setValue(int) ) );
    connect( LightSoftFileAttribCheck, SIGNAL( toggled(bool) ), LightSoftFileFlagEntry, SLOT( setEnabled(bool) ) );
    connect( LightType, SIGNAL( activated(int) ), this, SLOT( lightDisableCheck(int ) ) );
    connect( LightType, SIGNAL( activated(int) ), this, SLOT( generateLightSourceExplanation(int) ) );
    connect( LightAmbientPatternCheck, SIGNAL( toggled(bool) ), LightAmbientPatternEntry, SLOT( setEnabled(bool) ) );
    connect( CameraFilterEnableCheck, SIGNAL( toggled(bool) ), CameraFilterSelTab, SLOT( setEnabled(bool) ) );
    connect( CameraTypeCombo, SIGNAL( activated(int) ), this, SLOT( cameraDisableCheck(int ) ) );
    connect( CameraDofAutofocusCheck, SIGNAL( toggled(bool) ), CameraDofDepthEntry, SLOT( setDisabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpX, SLOT( setEnabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpY, SLOT( setEnabled(bool) ) );
    connect( CameraViewUpCheck, SIGNAL( toggled(bool) ), CameraViewUpZ, SLOT( setEnabled(bool) ) );
    connect( CameraViewFovCheck, SIGNAL( toggled(bool) ), CameraViewFovHorizEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewFovCheck, SIGNAL( toggled(bool) ), CameraViewVertEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewApertureCheck, SIGNAL( toggled(bool) ), CameraViewApertureEntry, SLOT( setEnabled(bool) ) );
    connect( CameraViewAspectCheck, SIGNAL( toggled(bool) ), CameraViewAspectEntry, SLOT( setEnabled(bool) ) );
    connect( CameraAASamplesCheck, SIGNAL( toggled(bool) ), CameraAAareaSpin_2, SLOT( setEnabled(bool) ) );
    connect( CameraAASamplesCheck, SIGNAL( toggled(bool) ), CameraAAsupersamplingSpin, SLOT( setEnabled(bool) ) );
    connect( CameraAAThresholdCheck, SIGNAL( toggled(bool) ), CameraAAThresholdEntry, SLOT( setEnabled(bool) ) );
    connect( CameraAAJitterCheck, SIGNAL( toggled(bool) ), CameraAAJitterEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourcesProcessorsCheck, SIGNAL( toggled(bool) ), InterfaceResourceProcessorsSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourceCachingCheck, SIGNAL( toggled(bool) ), InterfaceResourcesCellClustersSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourceCachingCheck, SIGNAL( toggled(bool) ), InterfaceResourcesCellsperClusterSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourceCachingCheck, SIGNAL( toggled(bool) ), InterfaceResourcesMinRadiusEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourceCachingCheck, SIGNAL( toggled(bool) ), InterfaceResourcesMaxRadiusEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceResourcesTraceDepthCheck, SIGNAL( toggled(bool) ), InterfaceGeneralTraceDepthSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityDepthCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityDepthDiffuseSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityDepthCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityDepthSpecularSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiositySamplesCheck, SIGNAL( toggled(bool) ), InterfaceRadiositySamplesSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityThresholdCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityThresholdSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiositySamplingMethodCheck, SIGNAL( toggled(bool) ), InterfaceRadiositySamplingMethodCombo, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityScreenCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityScreenEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityReuseDistCheck, SIGNAL( toggled(bool) ), ButtonGroup11, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityPatchEdgeCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityPatchEdgeMinEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityPatchEdgeCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityPatchEdgeMaxEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityFileCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityFileNameEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceRadiosityFileCheck, SIGNAL( toggled(bool) ), InterfaceRadiosityFileModeCombo, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningAccuracyCheck, SIGNAL( toggled(bool) ), InterfaceLightningAccuracySpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningCountCheck, SIGNAL( toggled(bool) ), InterfaceLightningCountSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningDepthCheck, SIGNAL( toggled(bool) ), InterfaceLightningDepthSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningThresholdCheck, SIGNAL( toggled(bool) ), InterfaceLightningThresholdEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningPatchEdgeCheck, SIGNAL( toggled(bool) ), InterfaceLightningThresholdMinEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningPatchEdgeCheck, SIGNAL( toggled(bool) ), InterfaceLightningThresholdMaxEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningAngleCheck, SIGNAL( toggled(bool) ), InterfaceLightningAngleMinEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningAngleCheck, SIGNAL( toggled(bool) ), InterfaceLightningAngleMaxEntry, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningPhotonCountCheck, SIGNAL( toggled(bool) ), InterfaceLightningPhotonCountSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningPhotonClusterCheck, SIGNAL( toggled(bool) ), InterfaceLightningPhotonClusterDiffuseSpin, SLOT( setEnabled(bool) ) );
    connect( InterfaceLightningPhotonClusterCheck, SIGNAL( toggled(bool) ), InterfaceLightningPhotonCausticSpin, SLOT( setEnabled(bool) ) );
    connect( TransformationXforallCheck, SIGNAL( toggled(bool) ), TransformationYCoordEntry, SLOT( setDisabled(bool) ) );
    connect( TransformationXforallCheck, SIGNAL( toggled(bool) ), TransformationZCoordEntry, SLOT( setDisabled(bool) ) );
    connect( TransformationAppendButton, SIGNAL( clicked() ), this, SLOT( TransformListAppend() ) );
    connect( TransformationAddButton, SIGNAL( clicked() ), this, SLOT( TransformListAdd() ) );
    connect( TransformationAlterButton, SIGNAL( clicked() ), this, SLOT( TransformListAlter() ) );
    connect( TransformatioCutButton, SIGNAL( clicked() ), this, SLOT( TransformListCut() ) );
    connect( TransformationDeleteButton, SIGNAL( clicked() ), this, SLOT( TransformListDelete() ) );
    connect( TransformationExecutionOrderListView, SIGNAL( rightButtonClicked(QListViewItem*,const QPoint&,int) ), this, SLOT( TransformListGet(QListViewItem *) ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
MainDlg::~MainDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void MainDlg::TransformListAlter()
{
    qWarning( "MainDlg::TransformListAlter(): Not implemented yet!" );
}

void MainDlg::TransformListCut()
{
    qWarning( "MainDlg::TransformListCut(): Not implemented yet!" );
}

void MainDlg::TransformListDelete()
{
    qWarning( "MainDlg::TransformListDelete(): Not implemented yet!" );
}

void MainDlg::generateText()
{
    qWarning( "MainDlg::generateText(): Not implemented yet!" );
}

void MainDlg::TransformListAdd()
{
    qWarning( "MainDlg::TransformListAdd(): Not implemented yet!" );
}

void MainDlg::TransformListAppend()
{
    qWarning( "MainDlg::TransformListAppend(): Not implemented yet!" );
}

void MainDlg::TransformListGet(QListViewItem *)
{
    qWarning( "MainDlg::TransformListGet(QListViewItem *): Not implemented yet!" );
}

void MainDlg::cameraDisableCheck(int )
{
    qWarning( "MainDlg::cameraDisableCheck(int ): Not implemented yet!" );
}

void MainDlg::coupleSpotAngles(int)
{
    qWarning( "MainDlg::coupleSpotAngles(int): Not implemented yet!" );
}

void MainDlg::generateLightSourceExplanation(int)
{
    qWarning( "MainDlg::generateLightSourceExplanation(int): Not implemented yet!" );
}

void MainDlg::lightDisableCheck(int )
{
    qWarning( "MainDlg::lightDisableCheck(int ): Not implemented yet!" );
}

#include "MainDlg.moc"
