/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Son Nov  4 22:40:08 CET 2001
    copyright            : (C) 2001 by Ruediger Knoerig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmatedit.h"

static const char *description =
	I18N_NOOP("KMatEdit");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmatedit", I18N_NOOP("KMatEdit"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Ruediger Knoerig", 0, 0, "ruediger@knoerig.de");
  aboutData.addAuthor("Ruediger Knoerig",0, "ruediger@knoerig.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Kmatedit *kmatedit = new Kmatedit();
  a.setMainWidget(kmatedit);
  kmatedit->show();  

  return a.exec();
}
